Security Groups APIs


This topic describes the REST APIs for the Security Groups in BMC Helix Automation Console.

The base URL for the API is: https://<serverName>/api/v1

GET/config/securitygroups

Gets all security groups in the Automation Console.

Request body: No parameters

Responses

Code

Description

200

OK

204

No content

401

Unauthorized

500

Internal Server Error


Sample response

[
  {
   "id": "cd41cedbb-a981-4a46-b658-29a5a3837077",
   "name": "BLAdmin",
   "description": "This is admin for TSSA",
   "role_name": "BLAdmins",
   "default_job_path": "/test/jobs",
   "default_depot_path": "/test/depot",
   "creation_date": "2019-04-08 10:50:44.037702",
   "modification_date": "2019-04-08 10:50:46.037702",
   "site": {
     "name": "172.25.150.238",
     "port": 9843,
     "siteType": "TSSA",
     "serverHost": "172.25.150.238"
    }
  }
]


GET/config/securitygroups/{id}

Get security group by ID.

Parameters:

Name

Description

id

Specifies the security group ID.

Use the GET /api/v1/config/securityGroups API call to obtain the ID.

Responses

Code

Description

200

OK

401

Unauthorized

404

Not Found

500

Internal Server Error

Sample response

{
 "id": "62dc0105-05f1-4a17-b604-b8c95f260eab",
 "name": "BLAdmins",
 "description": "Vulnerability Management Administrator: BLAdmins",
 "role_name": "BLAdmins",
 "creation_date": "2019-10-24 18:11:02.278856",
 "admin": true
}

GET/config/tssa/roles

Get all TSSA roles.

Request body: No parameters

Responses

Code

Description

200

OK

204


401

Unauthorized

500

Internal Server Error


Sample response

{
 "roles": [
    {
     "id": 10,
     "name": "BLAdmins",
     "description": "This is admin for TSSA"
    }
  ],
 "total_records": 1
}

POST/config/securitygroups

Creates a security group. The site information is used from session authorization header.

Request body: No parameters

Responses

Code

Description

201

Created

400

Bad Request

401

Unauthorized

409

Conflict

500

Internal Server Error


Sample response

{
 "id": "d41cedbb-a981-4a46-b658-29a5a38370c8"
}

put/config/securitygroups/{id}

Update security group by ID.

Request body

Parameter

Description

id

Specifies the security group ID.

Use the GET /api/v1/config/securityGroups API call to obtain the ID.

Responses

Code

Description

200

OK

400

Bad Request

401

Unauthorized

404

Not Found

409

Conflict

500

Internal Server Error


Sample response

{
 "name": "BLAdmin",
 "description": "This is admin for TSSA",
 "default_job_path": "/test/jobs",
 "default_depot_path": "/test/depot"
}

 

Tip: For faster searching, add an asterisk to the end of your partial query. Example: cert*

Helix Automation Console 19.11